Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicOptionPaneUI.ButtonAreaLayout

    java.lang.Object
      |
      +--javax.swing.plaf.basic.BasicOptionPaneUI.ButtonAreaLayout

All Implemented Interfaces:
  LayoutManager

Enclosing class:
  BasicOptionPaneUI

public static class BasicOptionPaneUI.ButtonAreaLayout
extends Object
implements LayoutManager

ButtonAreaLayout acts similiar to FlowLayout. It lays out all components from left to right. If syncAllWidths is true, the widths of each component will be set to the largest preferred size width. This inner class is marked "public" due to a compiler bug. This class should be treated as a "protected" inner class. Instantiate it only within subclasses of BasicOptionPaneUI.

Field Summary
`protected boolean` | `centersChildren` If true, children are lumped together in parent.
`protected int` | `padding`
`protected boolean` | `syncAllWidths`

Constructor Summary
`BasicOptionPaneUI.ButtonAreaLayout(boolean syncAllWidths, int padding)`

Method Summary
`void` | `addLayoutComponent(String string, Component comp)` Adds the specified component with the specified name to the layout.
`boolean` | `getCentersChildren()`
`int` | `getPadding()`
`boolean` | `getSyncAllWidths()`
`void` | `layoutContainer(Container container)` Lays out the container in the specified panel.
`Dimension` | `minimumLayoutSize(Container c)` Calculates the minimum size dimensions for the specified panel given the components in the specified parent container.
`Dimension` | `preferredLayoutSize(Container c)` Calculates the preferred size dimensions for the specified panel given the components in the specified parent container.
`void` | `removeLayoutComponent(Component c)` Removes the specified component from the layout.
`void` | `setCentersChildren(boolean newValue)`
`void` | `setPadding(int newPadding)`
`void` | `setSyncAllWidths(boolean newValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### syncAllWidths

    protected boolean syncAllWidths

### padding

    protected int padding

### centersChildren

    protected boolean centersChildren

  If true, children are lumped together in parent.

Constructor Detail

### BasicOptionPaneUI.ButtonAreaLayout

    public BasicOptionPaneUI.ButtonAreaLayout(boolean syncAllWidths,
                                              int padding)

Method Detail

### setSyncAllWidths

    public void setSyncAllWidths(boolean newValue)

### getSyncAllWidths

    public boolean getSyncAllWidths()

### setPadding

    public void setPadding(int newPadding)

### getPadding

    public int getPadding()

### setCentersChildren

    public void setCentersChildren(boolean newValue)

### getCentersChildren

    public boolean getCentersChildren()

### addLayoutComponent

    public void addLayoutComponent(String string,
                                   Component comp)

  Description copied from interface: `LayoutManager`
  Adds the specified component with the specified name to the layout.
  Specified by:
    `addLayoutComponent` in interface `LayoutManager`
  Following copied from interface: `java.awt.LayoutManager`
  Parameters:
    `name` - the component name
    `comp` - the component to be added

### layoutContainer

    public void layoutContainer(Container container)

  Description copied from interface: `LayoutManager`
  Lays out the container in the specified panel.
  Specified by:
    `layoutContainer` in interface `LayoutManager`
  Following copied from interface: `java.awt.LayoutManager`
  Parameters:
    `parent` - the component which needs to be laid out

### minimumLayoutSize

    public Dimension minimumLayoutSize(Container c)

  Description copied from interface: `LayoutManager`
  Calculates the minimum size dimensions for the specified panel given the components in the specified parent container.
  Specified by:
    `minimumLayoutSize` in interface `LayoutManager`
  Following copied from interface: `java.awt.LayoutManager`
  Parameters:
    `parent` - the component to be laid out
  See Also:
    `LayoutManager.preferredLayoutSize(java.awt.Container)`

### preferredLayoutSize

    public Dimension preferredLayoutSize(Container c)

  Description copied from interface: `LayoutManager`
  Calculates the preferred size dimensions for the specified panel given the components in the specified parent container.
  Specified by:
    `preferredLayoutSize` in interface `LayoutManager`
  Following copied from interface: `java.awt.LayoutManager`
  Parameters:
    `parent` - the component to be laid out
  See Also:
    `LayoutManager.minimumLayoutSize(java.awt.Container)`

### removeLayoutComponent

    public void removeLayoutComponent(Component c)

  Description copied from interface: `LayoutManager`
  Removes the specified component from the layout.
  Specified by:
    `removeLayoutComponent` in interface `LayoutManager`
  Following copied from interface: `java.awt.LayoutManager`
  Parameters:
    `comp` - the component to be removed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.